Bug 149167 - x86_64 buildroot broken prevents memtest86+ build
x86_64 buildroot broken prevents memtest86+ build
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: memtest86+ (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-19 15:02 EST by Warren Togami
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-28 02:49:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2005-02-19 15:02:52 EST
Description of problem:
For FC3/RHEL4 katzj made the memtest86+ package build on x86_64 by using gcc
-m32.  This is failing in the dist-fc4 buildroot with this message:
gcc -E -m32 -traditional head.S -o head.s
as -32 -o head.o head.s
gcc -c -m32 -march=i486 -fPIC -Wall -g -O2 -fno-strict-aliasing reloc.c
In file included from /usr/include/features.h:337,
                 from /usr/include/string.h:26,
                 from reloc.c:4:
/usr/include/gnu/stubs.h:7:27: gnu/stubs-32.h: No such file or directory
make: *** [reloc.o] Error 1
error: Bad exit status from
/usr/src/build/523313-x86_64/install-tmp/rpm-tmp.66136 (%build)

<jakub> warren: then it needs glibc{32,64}-2.3.4-10 installed
<jakub> warren: it is in dist-fc4-scratch, unfortunately I haven't managed to
get in touch with any releng person for the last 2 days that could move-pkgs it
to dist-fc4-build

So this is probably a rel-eng problem.

Version-Release number of selected component (if applicable):
memtest86+-1.51-1

(NOTE: It is a separate issue whether x86_64 target using -m32 was a good or bad
idea in the first place.  It shipped that way in RHEL4.)
Comment 1 Warren Togami 2005-02-28 02:49:25 EST
This seems to have been fixed.

Note You need to log in before you can comment on or make changes to this bug.